<?php

use Runtime\Bootstrap;
use Runtime\Http\Views\Factory as ViewFactory;

if(!function_exists('app'))
{
    /**
     * @param null $abstract
     * @return \Runtime\Factory\BootstrapFactory|Container
     */
    function app($abstract = null)
    {
        if (is_null($abstract)) {
            return Bootstrap::getInstance();
        }

        return Bootstrap::getInstance()->make($abstract);
    }
}

if(!function_exists('view'))
{
    /**
     * @param $name
     * @param array $arguments
     * @return mixed
     */
    function view($name, $arguments = [])
    {
        $factory = app(ViewFactory::class);

        return $factory->make($name, $arguments);
    }
}